<template>
  <div>
    <div class="subtitle-2"><b>Documento</b><span class="tRojo">*</span></div>
    <v-autocomplete
      v-model="data.value"
      :items="documentos"
      item-text="nombreDocumento"
      item-value="idDocumento"
      label="Selecciona un documento"
      @change="callback"
      single-line
      return-object
    >
    </v-autocomplete>
  </div>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-ListaDocumento",
  props: {
    value: Object,
    callback: { type: Function },
  },
  computed: {
    data: {
      get() {
        return this.value.dataDocumento;
      },
      set(value) {
        this.$emit("input", this.value);
      },
    },
  },
  data() {
    return {
      documentos: [],
    };
  },
  methods: {
    borrarListadoDocumentos() {
      this.documentos = [];
    },
    getDocumentos() {
      var self = this;
      this.value.dataDocumento.value = {};
      var idProyecto = this.value.dataProyecto.value.idProyecto;
      axios("/documento-sucursal/proyectoDocumento/v1/" + idProyecto)
        .then((response) => {
          let data = response.data;
          if (data) {
            self.documentos = data.resultado.proyectoDocumentos;
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
  created() {},
};
</script>
